Get Thread
Get a thread with messages. Supports pagination via limit/offset.
Path Parameters
thread_id*Thread Id
Query Parameters
limit?|
Max messages to return
offset?Offset
Skip first N messages
space_id?|
Optional isolation space guard
Response Body
application/json
application/json
curl -X GET "https://example.com/threads/string"{ "thread": { "id": "string", "node_type": "Thread", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "metadata": {}, "thread_id": "string", "title": "string", "summary": "string", "message_count": 0, "participants": [ "string" ], "source": "string", "space_id": "default", "project": "string", "workspace": "string", "tool_version": "string", "import_date": "2019-08-24T14:15:22Z" }, "messages": [ { "id": "string", "node_type": "Thread", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "metadata": {}, "content": "string", "role": "string", "order_index": 0, "timestamp": "2019-08-24T14:15:22Z", "token_count": 0 } ], "related_memories": [ { "id": "string", "node_type": "Thread", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "metadata": {}, "content": "string", "title": "string", "importance": 0.5, "confidence": 0.5, "pagerank_score": 0, "embedding": [ 0 ], "source_range": { "property1": 0, "property2": 0 }, "source": "string", "space_id": "default", "semantic_field": "string", "reindex_needed": false, "last_reindexed_at": "2019-08-24T14:15:22Z", "last_accessed_at": "2019-08-24T14:15:22Z", "access_count": 0, "appearances": 0, "clicks": 0, "total_dwell_time_ms": 0, "last_clicked_at": "2019-08-24T14:15:22Z", "decay_score_cached": 1, "temporal_context": "timeless", "temporal_type": "string", "event_start": "string", "event_end": "string", "temporal_precision": "string", "temporal_confidence": 0, "unit_type": "fact", "is_latest": true, "version": 1, "is_crystal": false, "crystal_title": "string", "source_unit_count": 0, "extraction_method": "manual", "last_evaluated_at": "2019-08-24T14:15:22Z", "review_status": "" } ], "entities": [ "string" ], "total_messages": 0, "total_tokens": 0, "covered_message_ids": [ "string" ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}